org.eclipse.oomph.p2

## Interface Requirement

- All Superinterfaces:
    EObject, ModelElement, Notifier
  All Known Implementing Classes:
    RequirementImpl

      public interface Requirement
      extends ModelElement

  A representation of the model object 'Requirement'.

  The following features are supported:

  - `Name`
  - `Namespace`
  - `Version Range`
  - `Optional`
  - `Feature`
  See Also:
    `P2Package.getRequirement()`
  Generated
  Model
    features="iD" iDDataType="org.eclipse.emf.ecore.EString" iDRequired="true" iDTransient="true" iDVolatile="true" iDDerived="true" iDSuppressedGetVisibility="true" iDSuppressedSetVisibility="true" iDExtendedMetaData="kind='attribute' name='id'"

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getName()` Returns the value of the 'Name' attribute.
    `String` | `getNamespace()` Returns the value of the 'Namespace' attribute.
    `VersionRange` | `getVersionRange()` Returns the value of the 'Version Range' attribute.
    `boolean` | `isFeature()` Returns the value of the 'Feature' attribute.
    `boolean` | `isOptional()` Returns the value of the 'Optional' attribute.
    `void` | `setName(String value)` Sets the value of the '`Name`' attribute.
    `void` | `setNamespace(String value)` Sets the value of the '`Namespace`' attribute.
    `void` | `setOptional(boolean value)` Sets the value of the '`Optional`' attribute.
    `void` | `setVersionRange(VersionRange value)` Sets the value of the '`Version Range`' attribute.
    `void` | `setVersionRange(Version version, VersionSegment segment)`

    - ### Methods inherited from interface org.eclipse.oomph.base.ModelElement

      `getAnnotation, getAnnotations`

    - ### Methods inherited from interface org.eclipse.emf.ecore.EObject

      `eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

    - ### Methods inherited from interface org.eclipse.emf.common.notify.Notifier

      `eAdapters, eDeliver, eNotify, eSetDeliver`

- - ### Method Detail

    - #### getName

          String getName()

      Returns the value of the 'Name' attribute.

      If the meaning of the 'ID' attribute isn't clear, there really should be more of a description here...

      Returns:
        the value of the 'Name' attribute.
      See Also:
        `setName(String)`, `P2Package.getRequirement_Name()`
      Generated
      Model
        required="true"

    - #### setName

          void setName(String value)

      Sets the value of the '`Name`' attribute.
      Parameters:
        `value` - the new value of the 'Name' attribute.
      See Also:
        `getName()`
      Generated

    - #### getNamespace

          String getNamespace()

      Returns the value of the 'Namespace' attribute. The default value is `"org.eclipse.equinox.p2.iu"`.

      If the meaning of the 'Namespace' attribute isn't clear, there really should be more of a description here...

      Returns:
        the value of the 'Namespace' attribute.
      See Also:
        `setNamespace(String)`, `P2Package.getRequirement_Namespace()`
      Generated
      Model
        default="org.eclipse.equinox.p2.iu" required="true"

    - #### setNamespace

          void setNamespace(String value)

      Sets the value of the '`Namespace`' attribute.
      Parameters:
        `value` - the new value of the 'Namespace' attribute.
      See Also:
        `getNamespace()`
      Generated

    - #### getVersionRange

          VersionRange getVersionRange()

      Returns the value of the 'Version Range' attribute. The default value is `"0.0.0"`.

      If the meaning of the 'Version Range' attribute isn't clear, there really should be more of a description here...

      Returns:
        the value of the 'Version Range' attribute.
      See Also:
        `setVersionRange(VersionRange)`, `P2Package.getRequirement_VersionRange()`
      Generated
      Model
        default="0.0.0" dataType="org.eclipse.oomph.p2.VersionRange"

    - #### setVersionRange

          void setVersionRange(VersionRange value)

      Sets the value of the '`Version Range`' attribute.
      Parameters:
        `value` - the new value of the 'Version Range' attribute.
      See Also:
        `getVersionRange()`
      Generated

    - #### isOptional

          boolean isOptional()

      Returns the value of the 'Optional' attribute.

      If the meaning of the 'Optional' attribute isn't clear, there really should be more of a description here...

      Returns:
        the value of the 'Optional' attribute.
      See Also:
        `setOptional(boolean)`, `P2Package.getRequirement_Optional()`
      Generated
      Model

    - #### setOptional

          void setOptional(boolean value)

      Sets the value of the '`Optional`' attribute.
      Parameters:
        `value` - the new value of the 'Optional' attribute.
      See Also:
        `isOptional()`
      Generated

    - #### isFeature

          boolean isFeature()

      Returns the value of the 'Feature' attribute.

      If the meaning of the 'Feature' attribute isn't clear, there really should be more of a description here...

      Returns:
        the value of the 'Feature' attribute.
      See Also:
        `P2Package.getRequirement_Feature()`
      Generated
      Model
        transient="true" changeable="false" volatile="true" derived="true"

    - #### setVersionRange

          void setVersionRange(Version version,
                             VersionSegment segment)

      Generated
      Model
        versionDataType="org.eclipse.oomph.p2.Version"

Copyright (c) 2014 Eike Stepper (Berlin, Germany) and others.
All rights reserved. This program and the accompanying materials are made available under the terms of the Eclipse Public License v1.0 which accompanies this distribution, and is available at http://www.eclipse.org/legal/epl-v10.html